<?php

namespace Planaday\Entities\Booking\Form\Company;

use Planaday\Config\OptionGroupEnum;
use Planaday\Entities\Booking\Form\BookingFormSettingsEnum;

enum CompanySettingsEnum: string implements OptionGroupEnum {
	case AllowCompanyBooking = "allowCompanyBooking";
	case CompanyBookingIsDefault = "companyBookingIsDefault";
	case AskPhoneNumber = "askPhoneNumber";
	case PhoneNumberRequired = "phoneNumberRequired";
	case ContactPerson = "contactPerson";
	case Invoice = "invoice";

	public static function getClassName(): string {
		return CompanySettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return BookingFormSettingsEnum::Company;
	}
}
